> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Pre Encounter Lists V 1 Get Appointment List

GET https://api.taigabilling.com/lists/v1/appointment

Searches for appointments that match the query parameters.

Reference: https://docs.taigabilling.com/api-reference/pre-encounter-lists-v-1/pre-encounter-lists-v-1-get-appointment-list

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Query parameters

- `sort_field` (string, optional) — Defaults to appointment.startTimestamp.
- `sort_direction` (enum, optional) — Defaults to asc.
  - Allowed values: `asc`, `desc`
- `limit` (integer, optional) — Defaults to 100.
- `page_token` (string, optional) — A token that can be used to retrieve the next or previous page of results
- `filters` (string, optional) — A serialized list of filters separated by commas indicating filters to apply. Each filter is of the form 'path:operator:value'. Example: 'patient.mrn|eq|12345'. Filters are separated by commas. Example: 'patient.mrn|eq|12345,appointment.startDate|gt|67890'. All filters are ANDed together. Valid operators are 'eq', 'gt', 'lt', 'contains', 'ieq', 'in'. ieq is a case-insensitive equality operator. in allows searching for values that match any item in a semicolon-separated list (e.g., 'patient.id|in|foo;bar;baz'). Path values are camelCase.
- `include_deactivated` (boolean, optional) — If true, includes deactivated appointments in the results. Defaults to false.
- `include_merged_patient_data` (boolean, optional) — If true and a patient id is specified, then also include appointments from any alternative patients that are merged into this patient. Defaults to false.

## Response

### 200

- `items` (list of pre-encounterlistsv1AppointmentListItem, required)
- `total` (integer, required)
- `next_page_token` (string, optional, nullable) — A token that can be used to retrieve the next or previous page of results
- `prev_page_token` (string, optional, nullable) — A token that can be used to retrieve the next or previous page of results

## Types

### pre-encounterlistsv1AppointmentListItem

- `appointment` (pre-encounterappointmentsv1Appointment, required) — An appointment object with immutable server-owned properties.
- `patient` (pre-encounterpatientsv1MutablePatientWithMrn, required)
- `primary_coverage` (pre-encountercoveragesv1MutableCoverage, optional, nullable)
- `secondary_coverage` (pre-encountercoveragesv1MutableCoverage, optional, nullable)
- `primary_service_type` (enum, optional, nullable)
  - Allowed values: `MD_Visit`, `Treatment`, `Tests`, `Activity`

### pre-encounterappointmentsv1Appointment

An appointment object with immutable server-owned properties.

- `deactivated` (boolean, required) — True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
- `id` (string, required) — The unique identifier for an Appointment.
- `organization_id` (string, required) — The organization that owns this object.
- `patient_id` (string, required) — The Taiga-defined patient identifier.
- `service_duration` (integer, required) — The requested length of time allotted for the appointment. The units are in minutes.
- `services` (list of pre-encounterappointmentsv1Service, required)
- `start_timestamp` (datetime, required)
- `updated_at` (datetime, required)
- `updating_user_id` (string, required) — The user ID of the user who last updated the object.
- `version` (integer, required) — The version of the object. Any update to any property of an object object will create a new version.
- `appointment_details` (string, optional, nullable)
- `appointment_reason_detail` (pre-encounterappointmentsv1AppointmentReasonDetail, optional, nullable) — The clinical context for the appointment.
- `attending_doctor` (pre-encounterExternalProvider, optional, nullable) — Attending physician information. The attending physician will be stored as the Current MD for the patient.
- `automated_eligibility_check_complete` (boolean, optional, nullable) — True if the automated eligibility check has been completed. It is not recommended to change this value manually via API. This refers explicitly to the automated eligibility check that occurs a specific number of days before the appointment.
- `cancellation_reason` (string, optional, nullable) — The reason the appointment was cancelled. This value cannot be set on create or update; it is only set by the deactivate endpoint, and is cleared if the appointment is reactivated.
- `checked_in_timestamp` (datetime, optional, nullable) — The timestamp when the patient checked in for their appointment. Must be set when status is CHECKED_IN or CHECKED_OUT, and must be unset otherwise.
- `checked_out_timestamp` (datetime, optional, nullable) — The timestamp when the patient checked out of their appointment. Must be set when status is CHECKED_OUT, and must be unset otherwise.
- `estimated_copay_cents` (integer, optional, nullable)
- `estimated_patient_responsibility_cents` (integer, optional, nullable) — The estimated amount the patient will be responsible for paying at the time of service. This does not include the copay.
- `location_resource_id` (string, optional, nullable) — Contains the coded identification of the location being scheduled. Components: \<Identifier (ST)>^\<Text (ST)>
- `medical_necessity_verified` (boolean, optional, nullable) — True if medical necessity for this appointment has been verified.
- `not_ready_reason` (enum, optional, nullable) — The reason the appointment is NOT_READY. Must only be set when status is NOT_READY; it is cleared otherwise. It is not recommended to change this value manually via API.
  - Allowed values: `INACTIVE_PRIMARY`, `INACTIVE_SECONDARY`, `MEDICARE_ADVANTAGE_CONVERSION`, `MEDICAID_MANAGED_CONVERSION`, `UNAVAILABLE_PRIMARY`, `UNAVAILABLE_SECONDARY`, `PENDING_PRIMARY`, `PENDING_SECONDARY`, `ELIGIBILITY_CHECK_FAILED_PRIMARY`, `ELIGIBILITY_CHECK_FAILED_SECONDARY`, `NEW_COMBO`, `NEW_INSURANCE`, `PRIOR_APPOINTMENT_NOT_READY`, `NO_COVERAGE`, `ERROR`, `MANUAL`
- `notes` (string, optional, nullable)
- `patient_deposit_cents` (integer, optional, nullable)
- `placer_appointment_id` (string, optional, nullable) — ID for the appointment/order for the event.
- `placer_system_name` (string, optional, nullable) — The name of the upstream system that placed this appointment.
- `prior_authorization_status` (enum, optional, nullable) — The prior authorization status for this appointment.
  - Allowed values: `NOT_REQUIRED`, `REQUIRED`, `PENDING`, `APPROVED`, `PARTIALLY_APPROVED`, `DENIED`, `EXPIRED`
- `ready_source` (enum, optional, nullable) — The method that set the appointment status to READY. It is not recommended to change this value manually via API. Must only be set when the status is READY, CHECKED_IN, CHECKED_OUT or NO_SHOW, it is cleared otherwise.
  - Allowed values: `MANUAL`, `MACHINE`
- `status` (enum, optional, nullable) — Defaults to PENDING. If status is NOT_READY, work_queue must be set. If status is READY, CHECKED_OUT, or NO_SHOW, work_queue must be null. checked_in_timestamp must be set if and only if status is CHECKED_IN or CHECKED_OUT, and checked_out_timestamp must be set if and only if status is CHECKED_OUT.
  - Allowed values: `PENDING`, `NOT_READY`, `READY`, `CHECKED_IN`, `CHECKED_OUT`, `NO_SHOW`
- `work_queue` (enum, optional, nullable) — The work queue that the appointment belongs to. It is not recommended to change this value manually via API. If status is NOT_READY, work_queue must be set. If status is READY, CHECKED_OUT or NO_SHOW, work_queue must be null.
  - Allowed values: `EMERGENT_ISSUE`, `NEW_PATIENT`, `RETURNING_PATIENT`, `MANUAL_ESCALATION`

### pre-encounterpatientsv1MutablePatientWithMrn

- `biological_sex` (enum, required) — The biological sex of the patient. This corresponds to the HL7 AdministrativeGender https://www.hl7.org/fhir/valueset-administrative-gender.html
  - Allowed values: `FEMALE`, `MALE`, `UNKNOWN`, `REFUSED`
- `birth_date` (date, required)
- `contacts` (list of pre-encounterpatientsv1Contact, required) — Contacts for the patient.
- `filing_order` (pre-encounterpatientsv1FilingOrder, required) — The patient's active coverages, in order of primary, secondary, etc.
- `general_practitioners` (list of pre-encounterExternalProvider, required)
- `mrn` (string, required) — The medical record number for the patient.
- `name` (pre-encounterHumanName, required)
- `other_addresses` (list of pre-encounterAddress, required) — Other addresses for the patient.
- `other_names` (list of pre-encounterHumanName, required) — Other names for the patient.
- `other_telecoms` (list of pre-encounterContactPoint, required) — Other phone numbers for the patient.
- `primary_address` (pre-encounterAddress, required) — The primary address for the patient.
- `advanced_directives` (list of enum, optional, nullable)
  - Allowed values: `NONE`, `DURABLE_POWER_OF_ATTORNEY`, `LIVING_WILL`, `DO_NOT_RESUSCITATE`, `STANDARD_PRECAUTIONS`, `FALL_RISK`
- `authorizations` (list of pre-encounterpatientsv1Authorization, optional, nullable)
- `coverages_for_related_causes` (pre-encounterpatientsv1CoveragesForRelatedCauses, optional, nullable) — Additional coverages for the patient applicable to related causes such as Auto or Workers Comp
- `custom_metadata` (list of pre-encounterpatientsv1CustomMetadataEntry, optional, nullable) — Custom key/value metadata attached to this patient, grouped by the MetadataSchema that defines the keys' types. Configure schemas via the metadata-schemas API. Values are validated against the referenced schema on write.
- `deceased` (datetime, optional, nullable) — Time of death for the patient. Leave unset if the patient is not deceased.
- `disability_status` (enum, optional, nullable)
  - Allowed values: `DISABLED`, `NON_DISABLED`
- `do_not_invoice_reason` (enum, optional, nullable) — If this value is defined, the customer will not be invoiced.
  - Allowed values: `BANKRUPTCY`, `DECEASED`, `HARDSHIP`, `OTHER`, `COLLECTIONS`, `BAD_ADDRESS`, `PROFESSIONAL_COURTESY`
- `electronic_communication_consent` (pre-encounterpatientsv1ElectronicCommunicationConsent, optional, nullable) — Granular consent for electronic communication channels.
- `email` (string, optional, nullable)
- `ethnicity` (enum, optional, nullable)
  - Allowed values: `HISPANIC_OR_LATINO`, `NOT_HISPANIC_OR_LATINO`, `UNKNOWN`, `REFUSED`
- `external_provenance` (pre-encounterpatientsv1ExternalProvenance, optional, nullable) — Information about the upstream system that owns this patient data. Leave unset if Taiga owns patient data.
- `gender` (enum, optional, nullable)
  - Allowed values: `MAN`, `WOMAN`, `NON_BINARY`, `TWO_SPIRIT`, `FEMALE_TO_MALE`, `MALE_TO_FEMALE`, `OTHER`, `UNKNOWN`, `REFUSED`
- `guarantor` (pre-encounterpatientsv1Guarantor, optional, nullable)
- `hipaa_code` (string, optional, nullable)
- `inferred_patient_metadata` (pre-encounterpatientsv1InferredPatientMetadata, optional, nullable) — Metadata for the patient used for patient inference from encounters.
- `language` (string, optional, nullable)
- `marital_status` (enum, optional, nullable)
  - Allowed values: `ANNULLED`, `DIVORCED`, `INTERLOCUTORY`, `SEPARATED`, `MARRIED`, `COMMON_LAW`, `POLYGAMOUS`, `DOMESTIC_PARTNER`, `UNMARRIED`, `NEVER_MARRIED`, `WIDOWED`, `UNKNOWN`
- `multiple_birth` (integer, optional, nullable) — The number of siblings the patient was born with. Leave unset if the patient was not part of a multiple birth.
- `non_insurance_payer_associations` (list of pre-encounterCanonicalNonInsurancePayerAssociation, optional, nullable)
- `note_ids` (list of string, optional, nullable)
- `orcon` (boolean, optional, nullable) — ORCON (Originator Controlled) - When set to true, the Taiga system will hide this patient from downstream integrations. Updates made in the Taiga UI will unset this flag. Defaults to false.
- `origination_detail` (pre-encounterpatientsv1OriginationDetail, optional, nullable) — Information about the patient source, if applicable.
- `other_identifiers` (list of pre-encounterExternalIdentifier, optional, nullable) — Other identifiers for the patient.
- `photo` (string, optional, nullable)
- `primary_service_facility_id` (string, optional, nullable)
- `primary_telecom` (pre-encounterContactPoint, optional, nullable) — The primary phone number for the patient.
- `pronouns` (list of string, optional, nullable) — The pronouns of the patient.
- `race` (enum, optional, nullable)
  - Allowed values: `AMERICAN_INDIAN_OR_ALASKA_NATIVE`, `WHITE`, `BLACK`, `ASIAN`, `NATIVE_HAWAIIAN_OR_OTHER_PACIFIC_ISLANDER`, `MIDDLE_EASTERN_OR_NORTH_AFRICAN`, `OTHER`, `UNKNOWN`, `REFUSED`
- `referrals` (list of pre-encounterpatientsv1Referral, optional, nullable)
- `self_pay` (boolean, optional, nullable)
- `service_facilities` (list of pre-encounterPatientServiceFacility, optional, nullable) — Associated service facilities for this patient.
- `sexual_orientation` (enum, optional, nullable) — The sexual orientation of the patient.
  - Allowed values: `HETEROSEXUAL`, `HOMOSEXUAL`, `BISEXUAL`, `TWO_SPIRIT`, `OTHER`, `UNKNOWN`, `REFUSED`
- `social_security_number` (string, optional, nullable)
- `tag_ids` (list of string, optional, nullable)
- `electronic_communication_opt_in` (boolean, optional, nullable, deprecated) — Use electronic_communication_consent for granular channel-level consent. This field is kept in sync automatically but should not be used for new integrations.
- `non_insurance_payers` (list of string, optional, nullable, deprecated)

### pre-encountercoveragesv1MutableCoverage

- `status` (enum, required) — The status indiciating if the coverage is active or not.
  - Allowed values: `ACTIVE`, `CANCELLED`, `DRAFT`, `ENTERED_IN_ERROR`
- `subscriber` (pre-encountercoveragesv1Subscriber, required) — The party who has signed-up for or 'owns' the contractual relationship to the policy or to whom the benefit of the policy for services rendered to them or their family is due.
- `relationship` (enum, required) — The relationship of beneficiary (patient) to the subscriber. https://hl7.org/fhir/valueset-relationship.html
  - Allowed values: `SELF`, `SPOUSE`, `CHILD`, `COMMON_LAW_SPOUSE`, `OTHER`
- `patient` (string, required) — The canonical Taiga patient UUID corresponding with the patient who benefits from the insurance coverage
- `insurance_plan` (pre-encountercoveragesv1InsurancePlan, required)
- `verified` (boolean, required) — A boolean indicating if the coverage has been verified by a user.
- `eligibility_checks` (list of pre-encountereligibilityChecksv1EligibilityCheckMetadata, optional, nullable) — A list of eligibility check metadata that have been initiated on this coverage.
- `latest_eligibility_check` (pre-encountercoveragesv1LatestEligibilityCheck, optional, nullable) — The latest eligibility check metadata that has been initiated on this coverage.
- `benefits` (pre-encountercoveragesv1CoverageBenefits, optional, nullable) — The eligibility of the patient for the coverage, manually verified by users.
- `orcon` (boolean, optional, nullable) — ORCON (Originator Controlled) - When set to true, the Taiga system will hide this coverage from downstream integrations. Updates made in the Taiga UI will unset this flag. Defaults to false.
- `auto_update_enabled` (boolean, optional, nullable) — Default to true. When set to true, the Taiga system will automatically update this coverage with the latest eligibility check benefits information. Auto update behavior is also set at the eligibilityConfig org level configuration.
- `previous_appointment_copays` (map from string to integer, optional, nullable) — A map of UniversalServiceIdentifier (MD_Visit, Treatment, Tests, Activity) to copay values in cents. This is used to track copay values for each service type to handle OOP max resets correctly.

### pre-encounterappointmentsv1Service

- `universal_service_identifier` (enum, optional, nullable) — Contains the code describing the activity type that is being scheduled.
  - Allowed values: `MD_Visit`, `Treatment`, `Tests`, `Activity`
- `start_timestamp` (datetime, optional, nullable)

### pre-encounterappointmentsv1AppointmentReasonDetail

The clinical context for the appointment.

- `diagnosis_codes` (list of string, optional, nullable)
- `procedure_codes` (list of string, optional, nullable)

### pre-encounterExternalProvider

- `name` (pre-encounterHumanName, required)
- `telecoms` (list of pre-encounterContactPoint, required)
- `type` (enum, optional, nullable) — Defaults to ATTENDING.
  - Allowed values: `PRIMARY`, `REFERRING`, `ATTENDING`
- `npi` (string, optional, nullable)
- `addresses` (list of pre-encounterAddress, optional, nullable)
- `period` (pre-encounterPeriod, optional, nullable)
- `canonical_id` (string, optional, nullable) — The unique identifier for a provider configured in the Taiga system
- `fax` (string, optional, nullable)
- `other_fax_numbers` (list of string, optional, nullable)
- `emails` (list of string, optional, nullable)
- `service_facilities` (list of pre-encounterPatientServiceFacility, optional, nullable) — Associated service facilities for this provider.

### pre-encounterpatientsv1Contact

- `relationship` (list of enum, required)
  - Allowed values: `SELF`, `SPOUSE`, `CHILD`, `COMMON_LAW_SPOUSE`, `OTHER`
- `name` (pre-encounterHumanName, required)
- `telecoms` (list of pre-encounterContactPoint, required)
- `addresses` (list of pre-encounterAddress, required)
- `period` (pre-encounterPeriod, optional, nullable)
- `hipaa_authorization` (boolean, optional, nullable)

### pre-encounterpatientsv1FilingOrder

The patient's active coverages, in order of primary, secondary, etc.

- `coverages` (list of string, required)

### pre-encounterHumanName

- `family` (string, required)
- `given` (list of string, required)
- `use` (enum, required)
  - Allowed values: `USUAL`, `OFFICIAL`, `TEMP`, `NICKNAME`, `ANONYMOUS`, `OLD`, `MAIDEN`
- `period` (pre-encounterPeriod, optional, nullable)
- `suffix` (string, optional, nullable)

### pre-encounterAddress

- `use` (enum, required)
  - Allowed values: `HOME`, `WORK`, `TEMP`, `OLD`, `BILLING`
- `line` (list of string, required)
- `city` (string, required)
- `state` (string, required)
- `postal_code` (string, required)
- `country` (string, required)
- `administrative_area` (string, optional, nullable) — The top-level administrative subdivision of the country for addresses outside the US — for example a Canadian province, a UK county, or a Japanese prefecture. Only permitted on international addresses: `country` must be present and non-US, and `state` must be "FC" (the X12 foreign-country sentinel). For US addresses use `state` instead.
- `county` (string, optional, nullable)
- `period` (pre-encounterPeriod, optional, nullable)

### pre-encounterContactPoint

- `value` (string, required)
- `use` (enum, required)
  - Allowed values: `HOME`, `WORK`, `TEMP`, `OLD`, `MOBILE`
- `period` (pre-encounterPeriod, optional, nullable)

### pre-encounterpatientsv1Authorization

- `payer_id` (string, required) — The unique identifier for a Payer in the database
- `payer_name` (string, required)
- `authorization_number` (string, required)
- `cpt_code` (string, required)
- `units` (enum, required)
  - Allowed values: `VISIT`, `UNIT`
- `additional_payer_information` (pre-encounterAdditionalPayerInformation, optional, nullable)
- `apply_for_all_cpt_codes` (boolean, optional, nullable) — If true, then the authorization will apply for all claims for the payer that fall in range the `period`.
- `no_prior_authorization_required` (boolean, optional, nullable) — If true, indicates that prior authorization is not required and prior authorization number will not be set on the claim for this authorization.
- `quantity` (integer, optional, nullable)
- `period` (pre-encounterPeriod, optional, nullable)
- `notes` (string, optional, nullable)
- `billing_provider_npi` (string, optional, nullable) — The NPI of the billing provider for which this authorization applies.
- `service_facility` (pre-encounterPatientServiceFacility, optional, nullable) — When set, specifies the service facility for which this authorization applies.
- `dx_codes` (list of string, optional, nullable) — When set, the authorization will only apply when at least one of these diagnosis codes is found on the claim/service lines (in addition to other criteria).

### pre-encounterpatientsv1CoveragesForRelatedCauses

Additional coverages for the patient applicable to related causes such as Auto or Workers Comp

- `coverages` (list of string, required)

### pre-encounterpatientsv1CustomMetadataEntry

A set of custom key/value pairs validated against a single MetadataSchema.

- `metadata_schema_id` (string, required) — The unique identifier for a custom MetadataSchema.
- `key_value_pairs` (map from string to any, required) — The custom values. Each key must be a field defined on the referenced MetadataSchema and each value must match that field's declared type.

### pre-encounterpatientsv1ElectronicCommunicationConsent

Granular consent for electronic communication channels.

- `text_communication_consent` (boolean, optional, nullable) — Consent for text/SMS communication.
- `email_communication_consent` (boolean, optional, nullable) — Consent for email communication.

### pre-encounterpatientsv1ExternalProvenance

Information about the upstream system that owns this patient data.

- `external_id` (string, required)
- `system_name` (string, required)

### pre-encounterpatientsv1Guarantor

- `name` (pre-encounterHumanName, required)
- `address` (pre-encounterAddress, required)
- `telecom` (pre-encounterContactPoint, optional, nullable)
- `email` (string, optional, nullable)
- `birth_date` (date, optional, nullable)

### pre-encounterpatientsv1InferredPatientMetadata

- `inferred_encounter_id` (string, required)
- `inferred_encounter_latest_date_of_service` (date, required)

### pre-encounterCanonicalNonInsurancePayerAssociation

- `id` (string, required) — The unique identifier for a non-insurance payer configured in the Taiga system
- `member_id` (string, optional, nullable)
- `period` (pre-encounterPeriod, optional, nullable)
- `clinical_trial_info` (list of pre-encounterCanonicalClinicalTrialAssociation, optional, nullable) — A patient cannot be associated with a given trial more than once

### pre-encounterpatientsv1OriginationDetail

- `referral_source` (enum, required)
  - Allowed values: `HOSPITAL`, `REFERRING_MD`, `SELF`, `OTHER`
- `referring_provider` (pre-encounterExternalProvider, optional, nullable)
- `specialization_categories` (list of enum, optional, nullable)
  - Allowed values: `BEHAVIORAL_HEALTH_THERAPY`, `CARDIOLOGY`, `DERMATOLOGY`, `ENDOCRINOLOGY`, `ENT`, `GASTROENTEROLOGY`, `GENERAL_SURGERY`, `GENETICS`, `HEMATOLOGY`, `INFECTIOUS_DISEASE`, `NEUROLOGY`, `NUTRITIONAL_THERAPY`, `OB_GYN`, `ONCOLOGY`, `OPHTHALMOLOGY`, `ORTHOPEDICS`, `PAIN_MANAGEMENT`, `PEDIATRICS`, `PHYSICAL_THERAPY`, `PODIATRY`, `PRIMARY_CARE`, `PSYCHIATRY`, `PULMONOLOGY`, `RADIOLOGY`, `RHEUMATOLOGY`, `SCREENING`, `UROLOGY`, `OTHER`
- `referral_type` (enum, optional, nullable)
  - Allowed values: `DIRECTED`, `ROTATION`, `OVERNIGHT`

### pre-encounterExternalIdentifier

An external identifier for a patient

- `value` (string, required)
- `system` (string, required)
- `period` (pre-encounterPeriod, optional, nullable)

### pre-encounterpatientsv1Referral

- `provider` (pre-encounterExternalProvider, required)
- `referral_number` (string, required)
- `period` (pre-encounterPeriod, optional, nullable)
- `notes` (string, optional, nullable)
- `serviceFacility` (pre-encounterPatientServiceFacility, optional, nullable) — Represents a canonical service facility attached to a patient or patient dependent object
- `units` (enum, optional, nullable)
  - Allowed values: `VISIT`, `UNIT`
- `quantity` (integer, optional, nullable)
- `cptCodes` (list of string, optional, nullable)
- `applyForAllCptCodes` (boolean, optional, nullable)

### pre-encounterPatientServiceFacility

Represents a canonical service facility attached to a patient or patient dependent object

- `service_facility_id` (string, required) — The unique identifier for a service facility configured in the Taiga system

### pre-encountercoveragesv1Subscriber

- `name` (pre-encounterHumanName, required)
- `biological_sex` (enum, required)
  - Allowed values: `FEMALE`, `MALE`, `UNKNOWN`, `REFUSED`
- `date_of_birth` (date, optional, nullable)
- `address` (pre-encounterAddress, optional, nullable)
- `employer_name` (string, optional, nullable)

### pre-encountercoveragesv1InsurancePlan

- `member_id` (string, required)
- `payer_id` (string, required) — The unique identifier for a Payer in the database
- `payer_name` (string, required)
- `additional_payer_information` (pre-encounterAdditionalPayerInformation, optional, nullable)
- `group_number` (string, optional, nullable)
- `name` (string, optional, nullable)
- `plan_type` (enum, optional, nullable)
  - Allowed values: `09`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `AM`, `BL`, `CH`, `CI`, `DS`, `FI`, `HM`, `LM`, `MA`, `MB`, `MC`, `OF`, `TV`, `VA`, `WC`, `ZZ`
- `type` (enum, optional, nullable) — Code identifying the type of insurance policy within a specific insurance program (X12 008020 Element 1336)
  - Allowed values: `01`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `41`, `42`, `43`, `47`, `AP`, `C1`, `CO`, `CP`, `D`, `DB`, `E`, `EP`, `FF`, `GP`, `HA`, `HB`, `HD`, `HG`, `HM`, `HN`, `HP`, `HS`, `IN`, `IP`, `LC`, `LD`, `LI`, `LT`, `M`, `MA`, `MB`, `MC`, `MD`, `ME`, `MF`, `MH`, `MI`, `MJ`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MR`, `MT`, `MV`, `OA`, `OT`, `PE`, `PL`, `PP`, `PR`, `PS`, `QM`, `RP`, `SP`, `TF`, `U`, `WC`, `WU`
- `period` (pre-encounterPeriod, optional, nullable)
- `insurance_card_image_locator` (string, optional, nullable)
- `address` (pre-encounterAddress, optional, nullable)
- `payer_plan_group_id` (string, optional, nullable) — The ID of the Taiga configured payer plan group associated with this coverage
- `carve_outs` (list of pre-encountercoveragesv1CoverageCarveOut, optional, nullable)

### pre-encountereligibilityChecksv1EligibilityCheckMetadata

- `check_id` (string, required)
- `service_code` (enum, required) — Code identifying the type of service or benefit within a specific insurance policy (X12 008010 Element 1365)
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `27`, `28`, `30`, `32`, `33`, `34`, `35`, `36`, `37`, `38`, `39`, `40`, `41`, `42`, `43`, `44`, `45`, `46`, `47`, `48`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `59`, `60`, `61`, `62`, `63`, `64`, `65`, `66`, `67`, `68`, `69`, `70`, `71`, `72`, `73`, `74`, `75`, `76`, `77`, `78`, `79`, `80`, `81`, `82`, `83`, `84`, `85`, `86`, `87`, `88`, `89`, `90`, `91`, `92`, `93`, `94`, `95`, `96`, `97`, `98`, `99`, `A0`, `A1`, `A2`, `A3`, `A4`, `A5`, `A6`, `A7`, `A8`, `A9`, `AA`, `AB`, `AC`, `AD`, `AE`, `AF`, `AG`, `AH`, `AI`, `AJ`, `AK`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `B1`, `B2`, `B3`, `BA`, `BB`, `BC`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BK`, `BL`, `BM`, `BN`, `BP`, `BQ`, `BR`, `BS`, `BT`, `BU`, `BV`, `BW`, `BX`, `BY`, `BZ`, `C1`, `CA`, `CB`, `CC`, `CD`, `CE`, `CF`, `CG`, `CH`, `CI`, `CJ`, `CK`, `CL`, `CM`, `CN`, `CO`, `CP`, `CQ`, `DG`, `DM`, `DS`, `GF`, `GN`, `GY`, `IC`, `MH`, `NI`, `ON`, `PT`, `PU`, `RN`, `RT`, `TC`, `TN`, `UC`
- `status` (enum, required) — enum to represent the status of an eligibility checks
  - Allowed values: `COMPLETED`, `FAILED`, `PENDING`
- `initiated_by` (string, required) — The unique identifier for a User in the database
- `initiated_at` (datetime, required)

### pre-encountercoveragesv1LatestEligibilityCheck

A type to represent the latest eligibility check status of a coverage.

- `check_id` (string, required)
- `status` (enum, required) — enum to represent the status of a patient's coverage
  - Allowed values: `ACTIVE`, `INACTIVE`, `UNKNOWN`
- `initiated_at` (datetime, required)
- `errors` (list of pre-encountereligibilityChecksv1EligibilityCheckErrorDetails, optional, nullable)
- `request_corrections` (list of pre-encountereligibilityChecksv1RequestCorrection, optional, nullable) — Fields where the payer's 271 response disagreed with what we sent on the request, surfaced from the check so consumers can detect that the eligibility response contradicted the coverage on file. Empty when the payer echoed everything we sent.
- `trading_partner` (string, optional, nullable) — The payer's own identifier as returned on the Stedi eligibility response (271) `tradingPartnerServiceId`, surfaced from the latest check's plan metadata so it is readable off the coverage. Can differ from the ID we submitted.

### pre-encountercoveragesv1CoverageBenefits

- `plan_coverage` (pre-encountercoveragesv1PlanCoverage, optional, nullable)
- `service_specific_coverage` (list of pre-encountercoveragesv1ServiceCoverage, optional, nullable)
- `benefits_related_entities` (list of pre-encountercoveragesv1BenefitsRelatedEntity, optional, nullable)
- `non_covered_details` (list of pre-encountercoveragesv1NonCoveredDetail, optional, nullable)
- `notes` (string, optional, nullable)
- `autoUpdatedEligibilityCheckId` (string, optional, nullable)

### pre-encounterPeriod

- `start` (date, optional, nullable)
- `end` (date, optional, nullable)

### pre-encounterAdditionalPayerInformation

- `availity_eligibility_id` (string, optional, nullable)
- `availity_payer_id` (string, optional, nullable)
- `availity_payer_name` (string, optional, nullable)
- `availity_remittance_payer_id` (string, optional, nullable)

### pre-encounterCanonicalClinicalTrialAssociation

- `id` (string, required) — The unique identifier for a clinical trial configured in the Taiga system
- `clinical_trial_arm` (string, optional, nullable)
- `period` (pre-encounterPeriod, optional, nullable)

### pre-encountercoveragesv1CoverageCarveOut

- `carve_out` (enum, required)
  - Allowed values: `BEHAVIORAL`, `MEDICAL`, `THERAPY`, `OTHER`
- `member_id` (string, required)
- `payer_id` (string, required) — The unique identifier for a Payer in the database
- `payer_name` (string, required)
- `group_number` (string, optional, nullable)
- `plan_type` (enum, optional, nullable)
  - Allowed values: `09`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `AM`, `BL`, `CH`, `CI`, `DS`, `FI`, `HM`, `LM`, `MA`, `MB`, `MC`, `OF`, `TV`, `VA`, `WC`, `ZZ`
- `type` (enum, optional, nullable) — Code identifying the type of insurance policy within a specific insurance program (X12 008020 Element 1336)
  - Allowed values: `01`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `41`, `42`, `43`, `47`, `AP`, `C1`, `CO`, `CP`, `D`, `DB`, `E`, `EP`, `FF`, `GP`, `HA`, `HB`, `HD`, `HG`, `HM`, `HN`, `HP`, `HS`, `IN`, `IP`, `LC`, `LD`, `LI`, `LT`, `M`, `MA`, `MB`, `MC`, `MD`, `ME`, `MF`, `MH`, `MI`, `MJ`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MR`, `MT`, `MV`, `OA`, `OT`, `PE`, `PL`, `PP`, `PR`, `PS`, `QM`, `RP`, `SP`, `TF`, `U`, `WC`, `WU`
- `payer_plan_group_id` (string, optional, nullable) — The ID of the Taiga configured payer plan group associated with this coverage

### pre-encountereligibilityChecksv1EligibilityCheckErrorDetails

This object is our fern representation of Stedi's EligbilityCheckError object from their API.

- `field?` (string, optional, nullable)
- `description?` (string, optional, nullable)
- `location?` (string, optional, nullable)
- `possibleResolutions?` (string, optional, nullable)
- `code?` (string, optional, nullable)
- `followupAction?` (string, optional, nullable)

### pre-encountereligibilityChecksv1RequestCorrection

- `property` (string, required)
- `request_value` (string, required)
- `corrected_value` (string, required)

### pre-encountercoveragesv1PlanCoverage

- `in_network` (pre-encountercoveragesv1PlanCoverageDetails, optional, nullable)
- `in_network_flat` (list of pre-encountercoveragesv1CoverageDetails, optional, nullable)
- `out_of_network` (pre-encountercoveragesv1PlanCoverageDetails, optional, nullable)
- `out_of_network_flat` (list of pre-encountercoveragesv1CoverageDetails, optional, nullable)

### pre-encountercoveragesv1ServiceCoverage

- `service_code` (enum, required) — Code identifying the type of service or benefit within a specific insurance policy (X12 008010 Element 1365)
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `27`, `28`, `30`, `32`, `33`, `34`, `35`, `36`, `37`, `38`, `39`, `40`, `41`, `42`, `43`, `44`, `45`, `46`, `47`, `48`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `59`, `60`, `61`, `62`, `63`, `64`, `65`, `66`, `67`, `68`, `69`, `70`, `71`, `72`, `73`, `74`, `75`, `76`, `77`, `78`, `79`, `80`, `81`, `82`, `83`, `84`, `85`, `86`, `87`, `88`, `89`, `90`, `91`, `92`, `93`, `94`, `95`, `96`, `97`, `98`, `99`, `A0`, `A1`, `A2`, `A3`, `A4`, `A5`, `A6`, `A7`, `A8`, `A9`, `AA`, `AB`, `AC`, `AD`, `AE`, `AF`, `AG`, `AH`, `AI`, `AJ`, `AK`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `B1`, `B2`, `B3`, `BA`, `BB`, `BC`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BK`, `BL`, `BM`, `BN`, `BP`, `BQ`, `BR`, `BS`, `BT`, `BU`, `BV`, `BW`, `BX`, `BY`, `BZ`, `C1`, `CA`, `CB`, `CC`, `CD`, `CE`, `CF`, `CG`, `CH`, `CI`, `CJ`, `CK`, `CL`, `CM`, `CN`, `CO`, `CP`, `CQ`, `DG`, `DM`, `DS`, `GF`, `GN`, `GY`, `IC`, `MH`, `NI`, `ON`, `PT`, `PU`, `RN`, `RT`, `TC`, `TN`, `UC`
- `in_network` (pre-encountercoveragesv1ServiceCoverageDetails, optional, nullable)
- `in_network_flat` (list of pre-encountercoveragesv1CoverageDetails, optional, nullable)
- `out_of_network` (pre-encountercoveragesv1ServiceCoverageDetails, optional, nullable)
- `out_of_network_flat` (list of pre-encountercoveragesv1CoverageDetails, optional, nullable)

### pre-encountercoveragesv1BenefitsRelatedEntity

- `entityIdentifier` (string, optional, nullable)
- `entityType` (string, optional, nullable)
- `entityName` (string, optional, nullable)
- `contactInformation` (list of pre-encountercoveragesv1RelatedEntityContact, optional, nullable)
- `serviceTypeCodes` (list of enum, optional, nullable)
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `27`, `28`, `30`, `32`, `33`, `34`, `35`, `36`, `37`, `38`, `39`, `40`, `41`, `42`, `43`, `44`, `45`, `46`, `47`, `48`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `59`, `60`, `61`, `62`, `63`, `64`, `65`, `66`, `67`, `68`, `69`, `70`, `71`, `72`, `73`, `74`, `75`, `76`, `77`, `78`, `79`, `80`, `81`, `82`, `83`, `84`, `85`, `86`, `87`, `88`, `89`, `90`, `91`, `92`, `93`, `94`, `95`, `96`, `97`, `98`, `99`, `A0`, `A1`, `A2`, `A3`, `A4`, `A5`, `A6`, `A7`, `A8`, `A9`, `AA`, `AB`, `AC`, `AD`, `AE`, `AF`, `AG`, `AH`, `AI`, `AJ`, `AK`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `B1`, `B2`, `B3`, `BA`, `BB`, `BC`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BK`, `BL`, `BM`, `BN`, `BP`, `BQ`, `BR`, `BS`, `BT`, `BU`, `BV`, `BW`, `BX`, `BY`, `BZ`, `C1`, `CA`, `CB`, `CC`, `CD`, `CE`, `CF`, `CG`, `CH`, `CI`, `CJ`, `CK`, `CL`, `CM`, `CN`, `CO`, `CP`, `CQ`, `DG`, `DM`, `DS`, `GF`, `GN`, `GY`, `IC`, `MH`, `NI`, `ON`, `PT`, `PU`, `RN`, `RT`, `TC`, `TN`, `UC`

### pre-encountercoveragesv1NonCoveredDetail

- `type` (enum, required)
  - Allowed values: `DEDUCTIBLE`, `DEDUCTIBLE_CONTRACT`, `DEDUCTIBLE_REMAINING`, `DEDUCTIBLE_YEAR_TO_DATE`, `OOP_MAX`, `OOP_MAX_CONTRACT`, `OOP_MAX_REMAINING`, `OOP_MAX_YEAR_TO_DATE`, `COPAY`, `COINSURANCE`, `NON_COVERED`, `LIMITATION`
- `coverageLevel` (enum, required)
  - Allowed values: `EMPLOYEE_AND_CHILDREN`, `EMPLOYEE_ONLY`, `EMPLOYEE_AND_SPOUSE`, `FAMILY`, `INDIVIDUAL`
- `unit` (enum, required)
  - Allowed values: `PERCENT`, `CURRENCY`, `COUNT`
- `value` (double, required)
- `additional_notes` (string, optional, nullable)
- `service_type_codes` (list of enum, optional, nullable)
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `27`, `28`, `30`, `32`, `33`, `34`, `35`, `36`, `37`, `38`, `39`, `40`, `41`, `42`, `43`, `44`, `45`, `46`, `47`, `48`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `59`, `60`, `61`, `62`, `63`, `64`, `65`, `66`, `67`, `68`, `69`, `70`, `71`, `72`, `73`, `74`, `75`, `76`, `77`, `78`, `79`, `80`, `81`, `82`, `83`, `84`, `85`, `86`, `87`, `88`, `89`, `90`, `91`, `92`, `93`, `94`, `95`, `96`, `97`, `98`, `99`, `A0`, `A1`, `A2`, `A3`, `A4`, `A5`, `A6`, `A7`, `A8`, `A9`, `AA`, `AB`, `AC`, `AD`, `AE`, `AF`, `AG`, `AH`, `AI`, `AJ`, `AK`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `B1`, `B2`, `B3`, `BA`, `BB`, `BC`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BK`, `BL`, `BM`, `BN`, `BP`, `BQ`, `BR`, `BS`, `BT`, `BU`, `BV`, `BW`, `BX`, `BY`, `BZ`, `C1`, `CA`, `CB`, `CC`, `CD`, `CE`, `CF`, `CG`, `CH`, `CI`, `CJ`, `CK`, `CL`, `CM`, `CN`, `CO`, `CP`, `CQ`, `DG`, `DM`, `DS`, `GF`, `GN`, `GY`, `IC`, `MH`, `NI`, `ON`, `PT`, `PU`, `RN`, `RT`, `TC`, `TN`, `UC`

### pre-encountercoveragesv1PlanCoverageDetails

- `deductible` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `deductible_contract` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `deductible_remaining` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `deductible_year_to_date` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `oop_max` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `oop_max_contract` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `oop_max_remaining` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `oop_max_year_to_date` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `additional_notes` (string, optional, nullable)

### pre-encountercoveragesv1CoverageDetails

- `type` (enum, required)
  - Allowed values: `DEDUCTIBLE`, `DEDUCTIBLE_CONTRACT`, `DEDUCTIBLE_REMAINING`, `DEDUCTIBLE_YEAR_TO_DATE`, `OOP_MAX`, `OOP_MAX_CONTRACT`, `OOP_MAX_REMAINING`, `OOP_MAX_YEAR_TO_DATE`, `COPAY`, `COINSURANCE`, `NON_COVERED`, `LIMITATION`
- `coverageLevel` (enum, required)
  - Allowed values: `EMPLOYEE_AND_CHILDREN`, `EMPLOYEE_ONLY`, `EMPLOYEE_AND_SPOUSE`, `FAMILY`, `INDIVIDUAL`
- `unit` (enum, required)
  - Allowed values: `PERCENT`, `CURRENCY`, `COUNT`
- `value` (double, required)
- `additional_notes` (string, optional, nullable)

### pre-encountercoveragesv1ServiceCoverageDetails

- `copay` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `coinsurance` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `visits` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `visits_remaining` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `additional_notes` (string, optional, nullable)

### pre-encountercoveragesv1RelatedEntityContact

- `mode` (string, optional, nullable)
- `value` (string, optional, nullable)

### pre-encountercoveragesv1CoverageValue

- `family` (double, optional, nullable)
- `individual` (double, optional, nullable)
- `employeeAndSpouse` (double, optional, nullable)
- `employeeAndChildren` (double, optional, nullable)

## Examples

**Response**

```json
{
  "items": [
    {
      "appointment": {
        "deactivated": true,
        "id": "string",
        "organization_id": "string",
        "patient_id": "string",
        "service_duration": 1,
        "services": [
          {
            "universal_service_identifier": "MD_Visit",
            "start_timestamp": "2024-01-15T09:30:00Z"
          }
        ],
        "start_timestamp": "2024-01-15T09:30:00Z",
        "updated_at": "2024-01-15T09:30:00Z",
        "updating_user_id": "string",
        "version": 1,
        "appointment_details": "string",
        "appointment_reason_detail": {
          "diagnosis_codes": [
            "string"
          ],
          "procedure_codes": [
            "string"
          ]
        },
        "attending_doctor": {
          "name": {
            "family": "string",
            "given": [
              "string"
            ],
            "use": "USUAL",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            },
            "suffix": "string"
          },
          "telecoms": [
            {
              "value": "string",
              "use": "HOME",
              "period": {
                "start": "2023-01-15",
                "end": "2023-01-15"
              }
            }
          ],
          "type": "PRIMARY",
          "npi": "string",
          "addresses": [
            {
              "use": "HOME",
              "line": [
                "string"
              ],
              "city": "string",
              "state": "string",
              "postal_code": "string",
              "country": "string",
              "administrative_area": "string",
              "county": "string",
              "period": {
                "start": "2023-01-15",
                "end": "2023-01-15"
              }
            }
          ],
          "period": {
            "start": "2023-01-15",
            "end": "2023-01-15"
          },
          "canonical_id": "string",
          "fax": "string",
          "other_fax_numbers": [
            "string"
          ],
          "emails": [
            "string"
          ],
          "service_facilities": [
            {
              "service_facility_id": "string"
            }
          ]
        },
        "automated_eligibility_check_complete": true,
        "cancellation_reason": "string",
        "checked_in_timestamp": "2024-01-15T09:30:00Z",
        "checked_out_timestamp": "2024-01-15T09:30:00Z",
        "estimated_copay_cents": 1,
        "estimated_patient_responsibility_cents": 1,
        "location_resource_id": "string",
        "medical_necessity_verified": true,
        "not_ready_reason": "INACTIVE_PRIMARY",
        "notes": "string",
        "patient_deposit_cents": 1,
        "placer_appointment_id": "string",
        "placer_system_name": "string",
        "prior_authorization_status": "NOT_REQUIRED",
        "ready_source": "MANUAL",
        "status": "PENDING",
        "work_queue": "EMERGENT_ISSUE"
      },
      "patient": {
        "biological_sex": "FEMALE",
        "birth_date": "2023-01-15",
        "contacts": [
          {
            "relationship": [
              "SELF"
            ],
            "name": {
              "family": "string",
              "given": [
                "string"
              ],
              "use": "USUAL",
              "period": {
                "start": "2023-01-15",
                "end": "2023-01-15"
              },
              "suffix": "string"
            },
            "telecoms": [
              {
                "value": "string",
                "use": "HOME",
                "period": {
                  "start": "2023-01-15",
                  "end": "2023-01-15"
                }
              }
            ],
            "addresses": [
              {
                "use": "HOME",
                "line": [
                  "string"
                ],
                "city": "string",
                "state": "string",
                "postal_code": "string",
                "country": "string",
                "administrative_area": "string",
                "county": "string",
                "period": {
                  "start": "2023-01-15",
                  "end": "2023-01-15"
                }
              }
            ],
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            },
            "hipaa_authorization": true
          }
        ],
        "filing_order": {
          "coverages": [
            "string"
          ]
        },
        "general_practitioners": [
          {
            "name": {
              "family": "string",
              "given": [
                "string"
              ],
              "use": "USUAL",
              "period": {
                "start": "2023-01-15",
                "end": "2023-01-15"
              },
              "suffix": "string"
            },
            "telecoms": [
              {
                "value": "string",
                "use": "HOME",
                "period": {
                  "start": "2023-01-15",
                  "end": "2023-01-15"
                }
              }
            ],
            "type": "PRIMARY",
            "npi": "string",
            "addresses": [
              {
                "use": "HOME",
                "line": [
                  "string"
                ],
                "city": "string",
                "state": "string",
                "postal_code": "string",
                "country": "string",
                "administrative_area": "string",
                "county": "string",
                "period": {
                  "start": "2023-01-15",
                  "end": "2023-01-15"
                }
              }
            ],
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            },
            "canonical_id": "string",
            "fax": "string",
            "other_fax_numbers": [
              "string"
            ],
            "emails": [
              "string"
            ],
            "service_facilities": [
              {
                "service_facility_id": "string"
              }
            ]
          }
        ],
        "mrn": "string",
        "name": {
          "family": "string",
          "given": [
            "string"
          ],
          "use": "USUAL",
          "period": {
            "start": "2023-01-15",
            "end": "2023-01-15"
          },
          "suffix": "string"
        },
        "other_addresses": [
          {
            "use": "HOME",
            "line": [
              "string"
            ],
            "city": "string",
            "state": "string",
            "postal_code": "string",
            "country": "string",
            "administrative_area": "string",
            "county": "string",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            }
          }
        ],
        "other_names": [
          {
            "family": "string",
            "given": [
              "string"
            ],
            "use": "USUAL",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            },
            "suffix": "string"
          }
        ],
        "other_telecoms": [
          {
            "value": "string",
            "use": "HOME",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            }
          }
        ],
        "primary_address": {
          "use": "HOME",
          "line": [
            "string"
          ],
          "city": "string",
          "state": "string",
          "postal_code": "string",
          "country": "string",
          "administrative_area": "string",
          "county": "string",
          "period": {
            "start": "2023-01-15",
            "end": "2023-01-15"
          }
        },
        "advanced_directives": [
          "NONE"
        ],
        "authorizations": [
          {
            "payer_id": "string",
            "payer_name": "string",
            "authorization_number": "string",
            "cpt_code": "string",
            "units": "VISIT",
            "additional_payer_information": {
              "availity_eligibility_id": "string",
              "availity_payer_id": "string",
              "availity_payer_name": "string",
              "availity_remittance_payer_id": "string"
            },
            "apply_for_all_cpt_codes": true,
            "no_prior_authorization_required": true,
            "quantity": 1,
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            },
            "notes": "string",
            "billing_provider_npi": "string",
            "service_facility": {
              "service_facility_id": "string"
            },
            "dx_codes": [
              "string"
            ]
          }
        ],
        "coverages_for_related_causes": {
          "coverages": [
            "string"
          ]
        },
        "custom_metadata": [
          {
            "metadata_schema_id": "string",
            "key_value_pairs": {}
          }
        ],
        "deceased": "2024-01-15T09:30:00Z",
        "disability_status": "DISABLED",
        "do_not_invoice_reason": "BANKRUPTCY",
        "electronic_communication_consent": {
          "text_communication_consent": true,
          "email_communication_consent": true
        },
        "email": "string",
        "ethnicity": "HISPANIC_OR_LATINO",
        "external_provenance": {
          "external_id": "string",
          "system_name": "string"
        },
        "gender": "MAN",
        "guarantor": {
          "name": {
            "family": "string",
            "given": [
              "string"
            ],
            "use": "USUAL",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            },
            "suffix": "string"
          },
          "address": {
            "use": "HOME",
            "line": [
              "string"
            ],
            "city": "string",
            "state": "string",
            "postal_code": "string",
            "country": "string",
            "administrative_area": "string",
            "county": "string",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            }
          },
          "telecom": {
            "value": "string",
            "use": "HOME",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            }
          },
          "email": "string",
          "birth_date": "2023-01-15"
        },
        "hipaa_code": "string",
        "inferred_patient_metadata": {
          "inferred_encounter_id": "string",
          "inferred_encounter_latest_date_of_service": "2023-01-15"
        },
        "language": "string",
        "marital_status": "ANNULLED",
        "multiple_birth": 1,
        "non_insurance_payer_associations": [
          {
            "id": "string",
            "member_id": "string",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            },
            "clinical_trial_info": [
              {
                "id": "string",
                "clinical_trial_arm": "string",
                "period": {
                  "start": "2023-01-15",
                  "end": "2023-01-15"
                }
              }
            ]
          }
        ],
        "note_ids": [
          "string"
        ],
        "orcon": true,
        "origination_detail": {
          "referral_source": "HOSPITAL",
          "referring_provider": {
            "name": {
              "family": "string",
              "given": [
                "string"
              ],
              "use": "USUAL",
              "period": {
                "start": "2023-01-15",
                "end": "2023-01-15"
              },
              "suffix": "string"
            },
            "telecoms": [
              {
                "value": "string",
                "use": "HOME",
                "period": {
                  "start": "2023-01-15",
                  "end": "2023-01-15"
                }
              }
            ],
            "type": "PRIMARY",
            "npi": "string",
            "addresses": [
              {
                "use": "HOME",
                "line": [
                  "string"
                ],
                "city": "string",
                "state": "string",
                "postal_code": "string",
                "country": "string",
                "administrative_area": "string",
                "county": "string",
                "period": {
                  "start": "2023-01-15",
                  "end": "2023-01-15"
                }
              }
            ],
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            },
            "canonical_id": "string",
            "fax": "string",
            "other_fax_numbers": [
              "string"
            ],
            "emails": [
              "string"
            ],
            "service_facilities": [
              {
                "service_facility_id": "string"
              }
            ]
          },
          "specialization_categories": [
            "BEHAVIORAL_HEALTH_THERAPY"
          ],
          "referral_type": "DIRECTED"
        },
        "other_identifiers": [
          {
            "value": "string",
            "system": "string",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            }
          }
        ],
        "photo": "string",
        "primary_service_facility_id": "string",
        "primary_telecom": {
          "value": "string",
          "use": "HOME",
          "period": {
            "start": "2023-01-15",
            "end": "2023-01-15"
          }
        },
        "pronouns": [
          "string"
        ],
        "race": "AMERICAN_INDIAN_OR_ALASKA_NATIVE",
        "referrals": [
          {
            "provider": {
              "name": {
                "family": "string",
                "given": [
                  "string"
                ],
                "use": "USUAL",
                "period": {
                  "start": "2023-01-15",
                  "end": "2023-01-15"
                },
                "suffix": "string"
              },
              "telecoms": [
                {
                  "value": "string",
                  "use": "HOME",
                  "period": {
                    "start": "2023-01-15",
                    "end": "2023-01-15"
                  }
                }
              ],
              "type": "PRIMARY",
              "npi": "string",
              "addresses": [
                {
                  "use": "HOME",
                  "line": [
                    "string"
                  ],
                  "city": "string",
                  "state": "string",
                  "postal_code": "string",
                  "country": "string",
                  "administrative_area": "string",
                  "county": "string",
                  "period": {
                    "start": "2023-01-15",
                    "end": "2023-01-15"
                  }
                }
              ],
              "period": {
                "start": "2023-01-15",
                "end": "2023-01-15"
              },
              "canonical_id": "string",
              "fax": "string",
              "other_fax_numbers": [
                "string"
              ],
              "emails": [
                "string"
              ],
              "service_facilities": [
                {
                  "service_facility_id": "string"
                }
              ]
            },
            "referral_number": "string",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            },
            "notes": "string",
            "serviceFacility": {
              "service_facility_id": "string"
            },
            "units": "VISIT",
            "quantity": 1,
            "cptCodes": [
              "string"
            ],
            "applyForAllCptCodes": true
          }
        ],
        "self_pay": true,
        "service_facilities": [
          {
            "service_facility_id": "string"
          }
        ],
        "sexual_orientation": "HETEROSEXUAL",
        "social_security_number": "string",
        "tag_ids": [
          "string"
        ],
        "electronic_communication_opt_in": true,
        "non_insurance_payers": [
          "string"
        ]
      },
      "primary_coverage": {
        "status": "ACTIVE",
        "subscriber": {
          "name": {
            "family": "string",
            "given": [
              "string"
            ],
            "use": "USUAL",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            },
            "suffix": "string"
          },
          "biological_sex": "FEMALE",
          "date_of_birth": "2023-01-15",
          "address": {
            "use": "HOME",
            "line": [
              "string"
            ],
            "city": "string",
            "state": "string",
            "postal_code": "string",
            "country": "string",
            "administrative_area": "string",
            "county": "string",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            }
          },
          "employer_name": "string"
        },
        "relationship": "SELF",
        "patient": "string",
        "insurance_plan": {
          "member_id": "string",
          "payer_id": "string",
          "payer_name": "string",
          "additional_payer_information": {
            "availity_eligibility_id": "string",
            "availity_payer_id": "string",
            "availity_payer_name": "string",
            "availity_remittance_payer_id": "string"
          },
          "group_number": "string",
          "name": "string",
          "plan_type": "09",
          "type": "01",
          "period": {
            "start": "2023-01-15",
            "end": "2023-01-15"
          },
          "insurance_card_image_locator": "string",
          "address": {
            "use": "HOME",
            "line": [
              "string"
            ],
            "city": "string",
            "state": "string",
            "postal_code": "string",
            "country": "string",
            "administrative_area": "string",
            "county": "string",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            }
          },
          "payer_plan_group_id": "string",
          "carve_outs": [
            {
              "carve_out": "BEHAVIORAL",
              "member_id": "string",
              "payer_id": "string",
              "payer_name": "string",
              "group_number": "string",
              "plan_type": "09",
              "type": "01",
              "payer_plan_group_id": "string"
            }
          ]
        },
        "verified": true,
        "eligibility_checks": [
          {
            "check_id": "string",
            "service_code": "1",
            "status": "COMPLETED",
            "initiated_by": "string",
            "initiated_at": "2024-01-15T09:30:00Z"
          }
        ],
        "latest_eligibility_check": {
          "check_id": "string",
          "status": "ACTIVE",
          "initiated_at": "2024-01-15T09:30:00Z",
          "errors": [
            {
              "field?": "string",
              "description?": "string",
              "location?": "string",
              "possibleResolutions?": "string",
              "code?": "string",
              "followupAction?": "string"
            }
          ],
          "request_corrections": [
            {
              "property": "string",
              "request_value": "string",
              "corrected_value": "string"
            }
          ],
          "trading_partner": "string"
        },
        "benefits": {
          "plan_coverage": {
            "in_network": {
              "deductible": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "deductible_contract": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "deductible_remaining": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "deductible_year_to_date": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max_contract": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max_remaining": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max_year_to_date": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "additional_notes": "string"
            },
            "in_network_flat": [
              {
                "type": "DEDUCTIBLE",
                "coverageLevel": "EMPLOYEE_AND_CHILDREN",
                "unit": "PERCENT",
                "value": 1.1,
                "additional_notes": "string"
              }
            ],
            "out_of_network": {
              "deductible": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "deductible_contract": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "deductible_remaining": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "deductible_year_to_date": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max_contract": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max_remaining": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max_year_to_date": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "additional_notes": "string"
            },
            "out_of_network_flat": [
              {
                "type": "DEDUCTIBLE",
                "coverageLevel": "EMPLOYEE_AND_CHILDREN",
                "unit": "PERCENT",
                "value": 1.1,
                "additional_notes": "string"
              }
            ]
          },
          "service_specific_coverage": [
            {
              "service_code": "1",
              "in_network": {
                "copay": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "coinsurance": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "visits": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "visits_remaining": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "additional_notes": "string"
              },
              "in_network_flat": [
                {
                  "type": "DEDUCTIBLE",
                  "coverageLevel": "EMPLOYEE_AND_CHILDREN",
                  "unit": "PERCENT",
                  "value": 1.1,
                  "additional_notes": "string"
                }
              ],
              "out_of_network": {
                "copay": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "coinsurance": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "visits": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "visits_remaining": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "additional_notes": "string"
              },
              "out_of_network_flat": [
                {
                  "type": "DEDUCTIBLE",
                  "coverageLevel": "EMPLOYEE_AND_CHILDREN",
                  "unit": "PERCENT",
                  "value": 1.1,
                  "additional_notes": "string"
                }
              ]
            }
          ],
          "benefits_related_entities": [
            {
              "entityIdentifier": "string",
              "entityType": "string",
              "entityName": "string",
              "contactInformation": [
                {
                  "mode": "string",
                  "value": "string"
                }
              ],
              "serviceTypeCodes": [
                "1"
              ]
            }
          ],
          "non_covered_details": [
            {
              "type": "DEDUCTIBLE",
              "coverageLevel": "EMPLOYEE_AND_CHILDREN",
              "unit": "PERCENT",
              "value": 1.1,
              "additional_notes": "string",
              "service_type_codes": [
                "1"
              ]
            }
          ],
          "notes": "string",
          "autoUpdatedEligibilityCheckId": "string"
        },
        "orcon": true,
        "auto_update_enabled": true,
        "previous_appointment_copays": {}
      },
      "secondary_coverage": {
        "status": "ACTIVE",
        "subscriber": {
          "name": {
            "family": "string",
            "given": [
              "string"
            ],
            "use": "USUAL",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            },
            "suffix": "string"
          },
          "biological_sex": "FEMALE",
          "date_of_birth": "2023-01-15",
          "address": {
            "use": "HOME",
            "line": [
              "string"
            ],
            "city": "string",
            "state": "string",
            "postal_code": "string",
            "country": "string",
            "administrative_area": "string",
            "county": "string",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            }
          },
          "employer_name": "string"
        },
        "relationship": "SELF",
        "patient": "string",
        "insurance_plan": {
          "member_id": "string",
          "payer_id": "string",
          "payer_name": "string",
          "additional_payer_information": {
            "availity_eligibility_id": "string",
            "availity_payer_id": "string",
            "availity_payer_name": "string",
            "availity_remittance_payer_id": "string"
          },
          "group_number": "string",
          "name": "string",
          "plan_type": "09",
          "type": "01",
          "period": {
            "start": "2023-01-15",
            "end": "2023-01-15"
          },
          "insurance_card_image_locator": "string",
          "address": {
            "use": "HOME",
            "line": [
              "string"
            ],
            "city": "string",
            "state": "string",
            "postal_code": "string",
            "country": "string",
            "administrative_area": "string",
            "county": "string",
            "period": {
              "start": "2023-01-15",
              "end": "2023-01-15"
            }
          },
          "payer_plan_group_id": "string",
          "carve_outs": [
            {
              "carve_out": "BEHAVIORAL",
              "member_id": "string",
              "payer_id": "string",
              "payer_name": "string",
              "group_number": "string",
              "plan_type": "09",
              "type": "01",
              "payer_plan_group_id": "string"
            }
          ]
        },
        "verified": true,
        "eligibility_checks": [
          {
            "check_id": "string",
            "service_code": "1",
            "status": "COMPLETED",
            "initiated_by": "string",
            "initiated_at": "2024-01-15T09:30:00Z"
          }
        ],
        "latest_eligibility_check": {
          "check_id": "string",
          "status": "ACTIVE",
          "initiated_at": "2024-01-15T09:30:00Z",
          "errors": [
            {
              "field?": "string",
              "description?": "string",
              "location?": "string",
              "possibleResolutions?": "string",
              "code?": "string",
              "followupAction?": "string"
            }
          ],
          "request_corrections": [
            {
              "property": "string",
              "request_value": "string",
              "corrected_value": "string"
            }
          ],
          "trading_partner": "string"
        },
        "benefits": {
          "plan_coverage": {
            "in_network": {
              "deductible": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "deductible_contract": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "deductible_remaining": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "deductible_year_to_date": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max_contract": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max_remaining": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max_year_to_date": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "additional_notes": "string"
            },
            "in_network_flat": [
              {
                "type": "DEDUCTIBLE",
                "coverageLevel": "EMPLOYEE_AND_CHILDREN",
                "unit": "PERCENT",
                "value": 1.1,
                "additional_notes": "string"
              }
            ],
            "out_of_network": {
              "deductible": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "deductible_contract": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "deductible_remaining": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "deductible_year_to_date": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max_contract": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max_remaining": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "oop_max_year_to_date": {
                "family": 1.1,
                "individual": 1.1,
                "employeeAndSpouse": 1.1,
                "employeeAndChildren": 1.1
              },
              "additional_notes": "string"
            },
            "out_of_network_flat": [
              {
                "type": "DEDUCTIBLE",
                "coverageLevel": "EMPLOYEE_AND_CHILDREN",
                "unit": "PERCENT",
                "value": 1.1,
                "additional_notes": "string"
              }
            ]
          },
          "service_specific_coverage": [
            {
              "service_code": "1",
              "in_network": {
                "copay": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "coinsurance": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "visits": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "visits_remaining": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "additional_notes": "string"
              },
              "in_network_flat": [
                {
                  "type": "DEDUCTIBLE",
                  "coverageLevel": "EMPLOYEE_AND_CHILDREN",
                  "unit": "PERCENT",
                  "value": 1.1,
                  "additional_notes": "string"
                }
              ],
              "out_of_network": {
                "copay": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "coinsurance": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "visits": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "visits_remaining": {
                  "family": 1.1,
                  "individual": 1.1,
                  "employeeAndSpouse": 1.1,
                  "employeeAndChildren": 1.1
                },
                "additional_notes": "string"
              },
              "out_of_network_flat": [
                {
                  "type": "DEDUCTIBLE",
                  "coverageLevel": "EMPLOYEE_AND_CHILDREN",
                  "unit": "PERCENT",
                  "value": 1.1,
                  "additional_notes": "string"
                }
              ]
            }
          ],
          "benefits_related_entities": [
            {
              "entityIdentifier": "string",
              "entityType": "string",
              "entityName": "string",
              "contactInformation": [
                {
                  "mode": "string",
                  "value": "string"
                }
              ],
              "serviceTypeCodes": [
                "1"
              ]
            }
          ],
          "non_covered_details": [
            {
              "type": "DEDUCTIBLE",
              "coverageLevel": "EMPLOYEE_AND_CHILDREN",
              "unit": "PERCENT",
              "value": 1.1,
              "additional_notes": "string",
              "service_type_codes": [
                "1"
              ]
            }
          ],
          "notes": "string",
          "autoUpdatedEligibilityCheckId": "string"
        },
        "orcon": true,
        "auto_update_enabled": true,
        "previous_appointment_copays": {}
      },
      "primary_service_type": "MD_Visit"
    }
  ],
  "total": 1,
  "next_page_token": "string",
  "prev_page_token": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/lists/v1/appointment"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```